# Uses of Enum Class
jebl.evolution.trees.TreeBuilderFactory.ConsensusMethod

Packages that use TreeBuilderFactory.ConsensusMethod
Package
Description
jebl.evolution.trees

## Uses of TreeBuilderFactory.ConsensusMethod in jebl.evolution.trees

Methods in jebl.evolution.trees that return TreeBuilderFactory.ConsensusMethod
Modifier and Type
Method
Description
`static TreeBuilderFactory.ConsensusMethod`
TreeBuilderFactory.ConsensusMethod.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TreeBuilderFactory.ConsensusMethod[]`
TreeBuilderFactory.ConsensusMethod.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in jebl.evolution.trees with parameters of type TreeBuilderFactory.ConsensusMethod
Modifier and Type
Method
Description
`static ConsensusTreeBuilder`
TreeBuilderFactory.`buildRooted(RootedTree[] trees, double supportThreshold, TreeBuilderFactory.ConsensusMethod method)`
`static ConsensusTreeBuilder`
TreeBuilderFactory.`buildRooted(Tree[] trees, double supportThreshold, TreeBuilderFactory.ConsensusMethod method)`
convenience method.
`static ConsensusTreeBuilder`
TreeBuilderFactory.`buildUnRooted(Tree[] trees, Taxon outGroup, double supportThreshold, TreeBuilderFactory.ConsensusMethod method)`